{*produktObrazky*}
<div class="bg-light mb-3">
    <h6 class="bg-secondary text-white py-2 px-3">Nahrané obrázky</h6>
    <div class="container-fluid" n:snippet="obrazky">
        <div class="row py-2 px-3">
            <div class="col-12 col-md-6 col-xl-4">
                {if $produkt->base_image == null}
                    <div class="p-2">
                        <div class="produkt-image-box empty">
                            <div class="produkt-image-text">Hlavní obrázek</div>
                            <div class="produkt-empty-image-wrapper">
                                <span class="produkt-empty-image fa-stack">
                                    <i class="fas fa-camera fa-stack-1x text-secondary"></i>
                                    <i class="fas fa-ban fa-stack-2x"></i>
                                </span>
                            </div>
                            <div class="text-center">Hlavní obrázek nebyl nastaven</div>
                        </div>
                    </div>
                {else}
                    <div class="p-2">
                        <div class="produkt-image-box">
                            <div class="produkt-image-text">Hlavní obrázek</div>
                            <div class="produkt-image-delete">
                                <a n:href="delBaseImage!" class="ajax">
                                    <i class="fas fa-trash"></i>
                                </a>
                            </div>
                            <img src="{$basePath}/src/katalog/{$produkt->id}/images/thumbs/{$produkt->base_image}">
                        </div>
                    </div>
                {/if}
            </div>
            {foreach $produkt->related('produkty_obrazky.produkty_id') as $obrazek}
                <div class="col-12 col-md-2">
                    <div class="p-2">
                        <div class="produkt-image-box pb-4">
                            <div class="produkt-image-delete">
                                <a n:href="delImage! $obrazek->id" class="ajax">
                                    <i class="fas fa-trash"></i>
                                </a>
                            </div>
                            <img src="{$basePath}/src/katalog/{$produkt->id}/images/thumbs/{$obrazek->url}">
                            <a n:href="setHlavni! $obrazek->id" class="produkt-image-base ajax">
                                nastavit hlavním
                            </a>
                        </div>
                    </div>
                </div>
            {/foreach}
        </div>
    </div>
    <h6 class="bg-secondary text-white py-2 px-3">Nové obrázky</h6>
    <div class="container-fluid" n:snippetArea="formular-wrapper">
        <form n:name="addObrazkyForm" class="ajax">
            {snippet formular}
            <div class="row py-2">
                <div class="col-12 col-lg-8 col-xl-4">
                    <div class="input-group">
                        <span class="input-group-text"><i class="far fa-image"></i></span>
                        <input class="form-control produkt-novy-obrazek" n:name="obrazky">
                    </div>
                    <div class="form-text">vkládejte pouze typy souborů jpeg, png, gif</div>
                </div>
            </div>
            <div class="row py-2" id="productImagePreview-wrapper" style="display: none">
                <div class="col-12">
                    <h5 class="mb-3">Náhledy obrázků</h5>
                </div>
                <div class="col-12">
                    <div class="row" id="productImagePreview"></div>
                </div>
            </div>
            <div class="row py-2">
                <div class="col-12">
                    <button class="btn btn-success" n:name="send"><i class="fas fa-arrow-up-from-bracket me-2"></i>Nahrát</button>
                </div>
            </div>
            {/snippet}
        </form>
    </div>
</div>
{snippet scripty}
    <script>
        $(document).ready(function (){

            $('.produkt-novy-obrazek').change(function(){

                $("#productImagePreview").html('');
                $('#productImagePreview-wrapper').show();

                for (var i = 0; i < $(this)[0].files.length; i++) {
                    var image = '<div class="col-12 col-md-2"><div class="p-2"><div class="produkt-image-box"><img src="'+window.URL.createObjectURL(this.files[i])+'"></div></div></div>';
                    $("#productImagePreview").append(image);
                }
            });

            $('input[name="baseImage[old]"]').click(function(){
                $('input[name="baseImage[new]"]').prop('checked', false); //odstraní u nového obrázku checked
            });
        });

        function remOldChecked(){
            $('input[name="baseImage[old]"]').prop('checked', false); //odstraní u starého obrázku checked
        }
    </script>
{/snippet}